Description

Supportanfrage:

Mit ADTF 3.3.0 wurde das Feature [ACORE-8121] - [CE Property Browser] Combobox for the PropertyBrowser hinzugefügt.

Jedoch kann ich keinen Unterschied zu der Bereits in ADTF 3.2.0 enthaltenen Möglichkeit finden, ein ENUM im Code zu definieren

und dann die Dropdwonliste in der plugindescription zu schreiben....

Gibt es auch eine andere Möglichkeit? (Direkt aus dem Code heraus ohne in der Plugindescription etwas verändern zu müssen?)

Gruß

Niclas

Lösung:

Die Möglichkeit eine Enum aus dem C++ Code heraus automatisch in eine property_list_enumeration in der Plugindescription zu

überführen ist nicht möglich.

Zusätzliche Informationen die nur den CE betreffen, sollen über die PluginDescription zur Verfügung gestellt werden. Hier zu wird es

dann auch ein passenden Editor geben.

Der Code wird nicht mehr wie in ADTF 2.x mit Beschreibungen des Properties angereichert.

History

#1 - 2018-04-27 11:07 - hidden

- Topic set to ADTF::PluginDescription

#2 - 2018-04-27 11:34 - hidden

Die Möglichkeit eine Enum aus dem C++ Code heraus automatisch in eine property_list_enumeration in der Plugindescription zu überführen ist

momentan meines Wissens nicht möglich.

@Sebastian: korrigiere mich falls ich falsch liege.

#3 - 2018-04-30 08:42 - hidden

- Status changed from New to In Progress

#4 - 2018-05-03 10:17 - hidden

Absolut richtig.

zusätzliche Informationen die nur den CE betreffen, sollen über die PluginDescription zur Verfügung gestellt werden. Hier zu wird es dann auch ein

passenden Editor geben.

Der Code wird nicht mehr wie in ADTF 2.x mit Beschreibungen des Properties angereichert.

Grüße,

Seastian

#6 - 2018-05-03 15:19 - hidden

- Status changed from In Progress to Customer Feedback Required
#7 - 2018-05-04 11:19 - hidden

Hallo Niclas,

kann das Ticket mit diesen Informationen geschlossen werden?

Danke und Gruß

Matthias

#8 - 2018-05-04 13:40 - hidden

Hallo Matthias,

Ja damit sind meine Fragen beantwortet.

Danke und Gruß

Niclas

#9 - 2018-05-07 08:49 - hidden

- Subject changed from Dropdownlisten für Propertys direkt aus dem Code erzeugen to Create Dropdownlists for properties directly out of the Code

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

- Affected Products ADTF 3.3.0 added

- Platform Windows 7 64bit added

#10 - 2018-05-23 13:58 - hidden

- Status changed from To Be Closed to Closed

#11 - 2018-10-24 09:05 - hidden

- Private changed from Yes to No
